Subject: [PATCH] arm64: Add support for hardware updates of the access and dirty pte bits

From: [email-masked] (Julien Grall)
Date: Thu, 10 Sep 2015 15:58:39 +0100

On 10/09/15 15:49, Marc Zyngier wrote:
> On 10/09/15 15:29, Julien Grall wrote:
>> On 10/09/15 14:01, Marc Zyngier wrote:
>>> Hi Julien,
>>>
>>> On 09/09/15 18:21, Julien Grall wrote:
>>>> Hi Catalin,
>>>>
>>>> I've tried to boot the latest linus/master (a794b4f) which include this
>>>> patch as DOM0 on xgene. This is failing late in the boot with
>>>> a BUG (see trace below).
>>>>
>>>> The bisector pointed me to this patch. When I disable
>>>> CONFIG_ARM64_HW_AFDBM, I'm able to boot the kernel and use it
>>>> without any issue.
>>>>
>>>> Although, I'm not sure to understand how this patch could
>>>> possibly break the filesystem subsystem.
>>>>
>>>> Do you have any insight for debugging this problem?
>>>
>>> I've just given it a good shake on the Mustang we have here, and I'm not
>>> experiencing anything like this. Any chance you could print out the
>>> ID_AA64MMFR1_EL1 register value, just in case?
>>
>> The value of ID_AA64MMFR1_EL1 is 0000000000000000
>>
>> I'm using Debian Jessie for the userspace with an LVM partition for the
>> home. U-boot is used to boot the kernel.
> 
> Similar setup here (except for LVM). The box seems quite solid (multiple
> kernel compiles, and nothing is screaming).

It screams very easily with a "find ." sometimes I don't even need that.

> My u-boot says:
> 
> CPU0: APM ARM 64-bit Potenza Rev A3 2400MHz PCP 2400MHz
>      32 KB ICACHE, 32 KB DCACHE
>      SOC 2000MHz IOBAXI 400MHz AXI 250MHz AHB 200MHz GFC 125MHz
> 
> How does this compares to yours?

I have the same:

U-Boot 2013.04-mustang_sw_1.15.12 (May 20 2015 - 10:03:33)

CPU0: APM ARM 64-bit Potenza Rev A3 2400MHz PCP 2400MHz
     32 KB ICACHE, 32 KB DCACHE
     SOC 2000MHz IOBAXI 400MHz AXI 250MHz AHB 200MHz GFC 125MHz
Boot from SPI-NOR
Slimpro FW:
        Ver: 2.1
Board: Mustang - AppliedMicro APM883208-xNA24SPT Reference Board
I2C:   ready
DRAM:  ECC 16 GiB @ 1600MHz
SF: Detected N25Q256 with page size 256 Bytes, total 32 MiB

Regards,

-- 
Julien Grall